Skip to main content
List extractions
Operation ID: http.semantic_tasks.file_extractions.list

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required
project
string
required

Query Parameters

file_id
string
required

The File whose runs to list.

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-8][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
limit
string

Page size, 1 to 100. Defaults to 50.

Pattern: ^\d+$
cursor
string

The cursor the previous page returned.

Response

2XX - application/json

Success.

schema
string
required
Allowed value: "penumbra.file-extraction-run-page"
version
number
required
file_id
string
required
data
object[]
required
page
object
required
{key}
any